/**
 * @file frametimer.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Times frames
 * THIS CLASS IS NOT AIMED TO BE UNIVERSAL - IT IS SPECIALLY
 * CREATED FOR USE IN DMXPLAYER
**/
#ifndef FRAMETIMER_H
#define FRAMETIMER_H

/* gets real time in micro seconds */
long get_time_usecs();
/* start the frame timer */
int frametimer_start(void (*)(long), int);
/* stop the frame timer */
void frametimer_stop();
/* locks mutex */
void frametimer_lock();
/* unlocks mutex */
void frametimer_unlock();
/* gets current frame nr */
long frametimer_getframe();
/* snyc: set frame_nr = 0 */
void frametimer_sync();

#endif /* FRAMETIMER_H */
