/**
 * @file lindmxd.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 *    L I N    D M X    S E R V E R
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2014
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Get more information on the used USB-DMX-Interface at
 * http://www.dmx4all.de/
 * ----------------------------------------------------------------------------
**/
#ifndef LINDMXD_H
#define LINDMXD_H
#include "lindmxd_config.h"

#define LINDMXD_BUFLEN	1024

typedef struct lindmxd_runoptions {
	int port;               /* port lindmxd will be running on */
	int maxchannel;         /* maximum/highest channel to use */
	const char *interface;  /* interface name to handle */
	int zero;               /* should i set all channels to zero on startup? */
	const char *ihost;      /* interface hostname for networking interfaces */
	int iport;              /* interface port for networking interfaces */
} lindmxd_runoptions_t;

/* Start, fork, ... */
void lindmxd_start(lindmxd_config_t*);
/* Stops LINDMXD */
void lindmxd_stop();
/* Kills the line end and ensures buf length */
int kill_lineend(char*, int);


#endif
